<?php
	ob_start();
	require_once("../../includes/bootstrap2.php");
	require_once('../../includes/html2pdf/html2pdf.class.php'); 
	$sesion=new sesion();
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

	$codasigxgrup=escapar($_GET['cod_asixgru'],'double');
	$periodo=escapar($_GET['periodo_cal'],'int');
	$curgru=escapar($_GET['grupo']);
	$sede=escapar($_GET['sede']);
	$jornada=escapar($_GET['jorn']);
	$conNota=escapar($_GET['opc'],'int');
	$nomarea=escapar($_GET['area']);
	
	$nomArch=strtolower($sede)." ".strtolower($curgru);
	
	$notasEquals=$sesion->getVar("configuracion.notas_iguales");
	if($sesion->getVar('ac_tipo_user')=='1'){
		$nomDoc=$sesion->getVar("ac_nomape"); 	
	}else{
		$nomDoc=$_GET['nomdc']; 	
	}
	$ide_usu=$sesion->get('ac_userid');
	$academia->instruccion("CALL SP_NOTASXESTUDIANTES($codasigxgrup,$periodo,'$ide_usu')");
	$reg=$academia->extraer_registro();

	$cant_est=$academia->filas_afectadas();
	$can_fil=$cant_est;
	
	// opciones del combo
//	$contenido_combo="<option></option>";
	$t=$nota_minima;
/*	do{
		$contenido_combo.='<option value='.number_format($t,1).' >'. number_format($t,1).'</option>';
		$t=$t+0.1;
	}while($t<$nota_maxima);*/
	
	if(isset($reg[aerror])){
		switch($reg[aerror]){
			case 'E100':
				echo '<div style="color:#FF0000; height:55px;line-height:55px !important; vertical-align:middle !important" ><b>'.$cleguaje->Phrase("md_notas",'e100')."</b></div>";
			break;
			case 'E10':
				echo '<div style="color:#FF0000; height:55px; line-height:55px !important; vertical-align:middle !important" ><b>'.$cleguaje->Phrase("md_notas",'e10')."</b></div>";
			break;
		}
		exit;
	}
	$dtsCols=split(">", substr($reg["datacols"],1));
	$cabeceras=array_keys($reg);
	$cd_sab='';
	$i=0;
	$cont=0;
	$j=0;
	$datos=array();
	$notas=array();
	
	$tam=count($cabeceras)-1;
	for($k=3;$k<=$tam;$k++){
//		echo $cabeceras[$k]."<br>";
		$dt=split("@",$dtsCols[$k-3]);
		//NOMBRESABER,"@",NOMBRENOTA,"@",CODSABER,"@",PORSABER,"@",PORNOTA,
		if($i<$tam-3){
			$notas[$i][0]=$dt[1];
			$notas[$i][1]=$dt[4];
		}
		
		if($i==0){
			$cd_sab=$dt[2];
			$noms=$dt[0];
			$pors=$dt[3];// porcentage del saber
		}
		if($dt[2]==$cd_sab){
			$cont++;
		}else{
			$datos[$j++]=array(
				"nom_sab"=>array($noms,$pors),
				"num_no"=>$cont
			   );
			$cont=1;
			$cd_sab=$dt[2];
			$noms=$dt[0];
			$pors=$dt[3];// porcentage del saber
		}
		$i++;		
	}
	$tam_tb_dt=80;
	$tamtb=count($notas)*$tam_tb_dt + (200+25+28);

?>
<style>
table{
	width: 100%;
    border-collapse: collapse;
    margin: 1em 0px 1.5em;
}
table.contend {
   font-size: 12px;
}
table.legend{
   font-size: 10px;
}
th{
	text-align:center;
}
td.notas{
	font-size:10px;
}
.error{
	color:#F00;
}

</style>
<page backtop="90px" backbottom="10mm"  backimgy="bottom" backleft="5mm" backright="5mm" backimgw="100%" footer="date;heure;page" > 
	<page_header>
		<table align="center" cellspacing="0" style="width: 100%; text-align: center;">
            <tr>
            <td rowspan="5" style="width:20%" ><img src="../../images/logo_colegio.png" alt="Escudo Institución" style="width:59px; height:66px"></td>
            <td style="width:60%"><strong><?php echo $sesion->getVar('info_colegio.nombre'); ?></strong></td>
            <td style="width:20%" rowspan="5"><img src="../../images/escudo.png" alt="Escudo de Colombia" width="70" height="75" style="width:59px; height:66px" ></td>
          </tr>
          <tr>
            <td > <?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_sede'].': </strong>'. ucwords(strtolower($sede)) ?></td>
          </tr>
          <tr>
            <td><?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_grupo'].': </strong>'.  $curgru ?> - <?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_jornada'].': </strong>'.  $jornada ?> -  <?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_area'].': </strong>'.  $nomarea ?> - <?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_periodo'].': </strong>'. $periodo ?></td>
          </tr>
          <tr>
          	<td><?php echo '<strong>'.$dtsLang['reportes']['lbl_rep_anio_lec'].': </strong>'.  $sesion->get('anio') ?></td>
          	</tr>
          <tr>
          	<td>&nbsp;</td>
          	</tr>
        </table>
	</page_header>
	<nobreak>
	 <table class="contend" border="1" cellpadding="0" cellspacing="0">
		<thead>
			<tr>
				<th valign="middle" width="20px" style="width:25px" rowspan="2">&nbsp;N°&nbsp;</th>
				<th valign="middle" width="270px" rowspan="2">Nombre Estudiante</th>
				 <?php for($m=0;$m<count($datos);$m++){ ?>
					<th valign="middle" colspan="<?php echo $datos[$m]['num_no']?>" style="width:120px">
							<?php echo str_replace("_"," ",$datos[$m]['nom_sab'][0])." ".(($notasEquals==1) ? '' : $datos[$m]['nom_sab'][1]."%") ?>
					</th>
	            <?php } ?> 
				<th rowspan="2">Def.</th>
			</tr>
			<tr>
				 <?php 
				 	$cadLegen="";
				 	for($m=0,$z=1;$m<count($notas);$m++,$z++){
						if($notasEquals==1) $por=''; else $por=" - ".$notas[$m][1]."%"; 
						
						$cadLegen.="<tr><td>N ".$z."</td><td>".str_replace("_"," ", $notas[$m][0]) ."". $por ."</td></tr>";
						
				?>
					<th valign="middle" style="width:120px"><?php echo "N ".$z ?></th>
				<?php } ?>  
			</tr>
		</thead>
		<tbody>
			<?php
				$x=1;
				$y=1;
				$promedio_mat=0;
				$auxTB=1;
				$auxTB2=0;
				$jx=1;
				$dt_nota_def=str_replace("^","\"",$reg[nota_def]);
				$defGrupo=0;
				$cnCol=0;
				do{	
					#echo $reg[nota_def]."<br>";
					$dt_nota_def=str_replace("^","\"",$reg[nota_def]);
			//		echo $dt_nota_def."<br>";
					$dt_nota_def=json_decode($dt_nota_def,true);
					
					$promedio_mat+=$dt_nota_def[def_numeros];
        	?>  
				<tr aria-band=false role="row" aria-value="<?php echo $reg[cod_estudiante] ?>" id="<?php echo "e".$reg[cod_estudiante] ?>">
					<td align="left"><?php echo $jx++ ?></td>
					<td align="left"><?php echo $reg[nom_estudiante] ?></td>
						
		
			<?php
				//$classNota=((float)$dt_nota_def[def_numeros]<=(float)($nota_pierde)) ? 'nota_mala' :'nota_ok';
				$cnCol=0;
                for($u=3;$u<$tam;$u++){
                    $dt_nota=str_replace("^","\"",$reg[$cabeceras[$u]]);
					$dt_nota=json_decode($dt_nota,true);
					$fecha_rec='';
					$nota_rec_let='';
					$nota_rec_num='';
					$nota_rec_id='';
					$rec_obs='';
					
					$recupero='false';
					
					$nota_orig=$dt_nota[nota_numeros];
					$block='';
					if(strlen($dt_nota['recupera'])>1){
						$re=str_replace("|","\"",$dt_nota['recupera']);
						//print_r($re);
					//	$block="readonly=readonly'";
						$array_rec=json_decode($re,true);

						//$fecha_rec=$array_rec[rec_fecha];
						//$nota_rec_let=$array_rec[rec_letras];
						$nota_rec_num=$array_rec[rec_numeros];
						/*$rec_obs=$array_rec[rec_observaciones];
						$nota_rec_id=$array_rec[cod_recuperacion];
						$recupero='true';
						$nota_num=$nota_rec_num;*/
					}else{
						$nota_num=($nota_orig==9999) ? '' : $nota_orig;
						$re="";
					}
					
					$nota_num= ($nota_num=='') ? '' : number_format($nota_num,1);
					
					$cd_cal=$dt_nota[cod_calxasixest];
					$fecha_calif=$dt_nota[fecha_calif];
					$cd_saber=$dt_nota[cod_saber];
					$nom_saber=$dt_nota[nombre_saber];
					$por_saber=$dt_nota[por_saber];
					
					$num_nota=$dt_nota[num_nota];// numero de la nota
					$por_nota=$dt_nota[por_nota];
										
					
					$nota_let=$dt_nota[nota_letras];
					$nota_nom=$dt_nota[nombre_nota];
					$cod_est=$dt_nota[cod_estudiante];
					$nota_pierde= number_format($dt_nota[pierde],1);
					//$nota_num=$nota_rec_num;
					$nx=(!empty($nota_rec_num)) ? $nota_rec_num : $nota_num;
					$cls=($nx<=$nota_pierde) ? 'error' : '';
					$cnCol++;
            ?>
					<td  align="center" class='notas <?php echo $cls  ?>' valign="middle">
						<?php
							if($conNota==1){
								if(!empty($nota_rec_num)){
									echo "<strong>$nota_rec_num</strong>";
								}else{
									echo "<em>$nota_num</em>";
								}
							}
						?>
					</td>
			<?php 
				}
				
				echo "<td align='center'>" ; 
					if($conNota==1){
						$defGrupo+=(float)$dt_nota_def['def_numeros'];
						echo number_format($dt_nota_def[def_numeros],1);
					} 
				echo "</td>";
			?>
			</tr>
			<?php
		  		$x++;
				$y=$x;
				$auxTB=$x;
            }while($reg=$academia->extraer_registro());
            $academia->liberar();
            $academia->cerrar();
           ?>
		   <tr><td></td><td colspan="<?php echo $cnCol+1 ?>" align="right"><strong>Promedio del grupo</strong></td>
		   	<td align='center'><?php $promGrupo=$defGrupo/($jx-1); echo number_format($promGrupo,1) ?></td></tr>
		</tbody>
</table>
<br /><br />
<table align="center" border="0">
	<tr><td align="center">______________________________________________________<br /><?php echo $nomDoc; ?></td></tr>
</table>
<br />
<?php echo '<strong><em>'.$dtsLang['reportes']['lbl_rep_desc_notas']. '</em></strong>' ?>
<table border="1" class="legend">
	<?php echo $cadLegen ?>
</table>
	</nobreak>
	<page_footer>
		<?php 
			$msg="PrGr:$promGrupo\nNoUs:".$nomDoc."\ntpUs:".$sesion->getVar('ac_tipo_user')."\nanio:".$sesion->getVar('anio');
			$msg.="\npernum:".$periodo."\ngrp:".$curgru;
		?>
		<qrcode value="<?php echo $msg  ?>" ec="H" style="width:10mm; height:10mm; text-align:right"></qrcode>
	</page_footer>
	
</page>
 <?php 
      $content = ob_get_clean(); 
      $pdf = new HTML2PDF('l','LEGAL','es',true,'UTF-8',array(2,2,2,2));
	  $pdf->pdf->SetDisplayMode('fullwidth');   
      $pdf->WriteHTML($content); 
      $pdf->Output($nomArch.'.pdf','D'); 
	  
 ?> 
